<?php


namespace Hecate\Customizer\Sections;


use Hecate\Components\ComponentMods;

class TabSection extends BaseReactSection {
	public $type          = 'hecate-tab-section';
	public $hiddenSection = false;

	public $accordionsByTab = array();

	public function json() {
		if ( $this->hiddenSection ) {
			$this->accordionClasses = 'hecate-tab-section--hidden';
		}

		$json                    = parent::json();
		$json['accordionsByTab'] = $this->accordionsByTab;
		$json['hiddenSection']   = $this->hiddenSection;
		$json['componentName']   = ComponentMods::getComponentName( $this->id );

		return $json;
	}
}
